Difference between revisions of "Aperi/sso"

From Eclipsepedia

Jump to: navigation, search
(Configure Eclipse)
Line 27: Line 27:
 
Configure Tomcat in Eclipse:
 
Configure Tomcat in Eclipse:
 
Go to Window --> Preferences
 
Go to Window --> Preferences
Click on ‘Server’ Tree, then click on ‘Runtime Environments’
+
Click on ‘Server’ Tree, then click on ‘Runtime Environments’<br/>
 
Click ‘Add’, then select Apache Tomcat v5.5  
 
Click ‘Add’, then select Apache Tomcat v5.5  
 
Click ‘Create a new local server’  
 
Click ‘Create a new local server’  

Revision as of 06:07, 27 July 2008

Contents

You need the following prerequisites:

1. Eclipse J2EE IDE 2. Open LDAP 3. Tomcat 5.5 4. Java 1.5 (make sure you already have this installed)


Eclipse

From http://www.eclipse.org/downloads/download.php?file=/technology/epp/downloads/release/ganymede/R/eclipse-jee-ganymede-win32.zip download eclipse-jee-ganymede-win32.zip. Unzip the file into C:\Dev so that the following tree is created - C:\Dev\Tools\eclipse-jee-ganymede-win32\eclipse\eclipse.exe. Eclipse is now installed.


Tomcat

From http://tomcat.apache.org/download-55.cgi, download apache-tomcat-5.5.26.zip. Unzip the file such that you have the following directory tree - C:\Dev\Tools\apache-tomcat-5.5.26\bin. Apache is now installed.


Open LDAP

From https://camelot.parityinc.net/STSDocs/openldap-2.2.29-db-4.3.29-openssl-0.9.8a-win32_Setup.exe download the .exe file. Install the program by double clicking on it. Install into the default location (C:\Program Files\OpenLDAP\). OpenLdap is now installed. We will configure later.


Configure Eclipse

Open Eclipse by clicking on C:\Dev\Tools\eclipse-jee-ganymede-win32\eclipse\eclipse.exe. Choose c:\Dev\Code\STSServer as your workspace.

Configure Tomcat in Eclipse: Go to Window --> Preferences Click on ‘Server’ Tree, then click on ‘Runtime Environments’
Click ‘Add’, then select Apache Tomcat v5.5 Click ‘Create a new local server’ Click ‘Next’ Click ‘Browse’ and select C:\Dev\Tools\apache-tomcat-5.5.26 Click ‘Finish’

Make sure the java runtime is pointed towards your Java 1.5 installation. Go to Window --> Preferences. Click on 'Java' --> 'Installed JREs'. Make sure the java runtime (on the right hand side) corresponds with your Java 1.5 installation. If not, add and select it.

Download some setup files, but first setup connection with CVS server. Go to Window --> 'Open Perspective' --> 'Other' --> 'CVS Repository Exploring'. Right click --> 'New' --> 'Repository Location'. Host: dev.eclipse.org Repository path: /cvsroot/technology User: anonymous (or your user name) Connection type: pserver From the cvs server tree, drill down thru org.eclipse.aperi, thru STSServer, right click 'SetupFiles' --> 'Check Out'


-Dcatalina.base="C:\Dev\Code\.metadata\.plugins\org.eclipse.wst.server.core\tmp0" -Dcatalina.home="C:\Dev\Tools\apache-tomcat-5.5.26" -Dwtp.deploy="C:\Dev\Code\.metadata\.plugins\org.eclipse.wst.server.core\tmp0\wtpwebapps" -Djava.endorsed.dirs="C:\Dev\Tools\apache-tomcat-5.5.26\common\endorsed" -Dorg.eclipse.higgins.sts.conf="C:/Dev/Code/org.eclipse.higgins.sts.binding.axis1x.service/WebContent/ConfigurationFiles" -Dorg.eclipse.higgins.sts.conf.file="ManagedConfiguration.xml"